import { CdkNestedTreeNode, CdkTree, CdkTreeNode, CdkTreeNodeDef } from '@angular/cdk/tree';
import { AfterContentInit, ElementRef, IterableDiffers, OnDestroy } from '@angular/core';
export declare class NtTreeNodeDirective<T> extends CdkTreeNode<T> {
    protected _elementRef: ElementRef;
    protected _tree: CdkTree<T>;
    private _disabled;
    get disabled(): any;
    set disabled(value: any);
    private _tabIndex;
    get tabIndex(): number;
    set tabIndex(value: number);
    role: 'treeitem' | 'group';
    constructor(_elementRef: ElementRef, _tree: CdkTree<T>, tabIndex: string);
}
export declare class NtTreeNodeDefDirective<T> extends CdkTreeNodeDef<T> {
    data: T;
}
export declare class NtNestedTreeNodeDirective<T> extends CdkNestedTreeNode<T> implements AfterContentInit, OnDestroy {
    protected _elementRef: ElementRef;
    protected _tree: CdkTree<T>;
    protected _differs: IterableDiffers;
    private _disabled;
    get disabled(): any;
    set disabled(value: any);
    private _tabIndex;
    get tabIndex(): number;
    set tabIndex(value: number);
    node: T;
    constructor(_elementRef: ElementRef, _tree: CdkTree<T>, _differs: IterableDiffers, tabIndex: string);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
